# Generated by Django 3.2.9 on 2021-12-16 13:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0018_auto_20211215_1432'),
    ]

    operations = [
        migrations.CreateModel(
            name='PlantUsages',
            fields=[
                ('taxon', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='plant_usages', serialize=False, to='core.taxon')),
                ('food', models.BooleanField(default=False)),
                ('honey', models.BooleanField(default=False)),
                ('ornamental', models.BooleanField(default=False)),
                ('medicine', models.BooleanField(default=False)),
                ('fuelwood', models.BooleanField(default=False)),
                ('construction', models.BooleanField(default=False)),
                ('psychotropic', models.BooleanField(default=False)),
                ('poisonous', models.BooleanField(default=False)),
                ('green_manure', models.BooleanField(default=False)),
                ('basketry', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='HistoricalPlantUsages',
            fields=[
                ('food', models.BooleanField(default=False)),
                ('honey', models.BooleanField(default=False)),
                ('ornamental', models.BooleanField(default=False)),
                ('medicine', models.BooleanField(default=False)),
                ('fuelwood', models.BooleanField(default=False)),
                ('construction', models.BooleanField(default=False)),
                ('psychotropic', models.BooleanField(default=False)),
                ('poisonous', models.BooleanField(default=False)),
                ('green_manure', models.BooleanField(default=False)),
                ('basketry', models.BooleanField(default=False)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('taxon', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='core.taxon')),
            ],
            options={
                'verbose_name': 'historical plant usages',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
